# import DetectPathBroadening.sh



GREP_1102()
{
	GREP_0057
	GREP_1103
	GREP_1104
	GREP_1105
	GREP_1106
	GREP_1112
}



GREP_1103()
{
	if command -v id >/dev/null 2>/dev/null ; then
		GREP_0773=$(command -v id)
		if ! "$GREP_0773" -u >/dev/null 2>/dev/null || ! "$GREP_0773" -G >/dev/null 2>/dev/null ; then
			GREP_0045 "ID_EXECUTION" "Cannot execute $GREP_0773 with -u or -G argument"
		else
			MY_UID=$("$GREP_0773" -u)
			MY_GROUPS=$("$GREP_0773" -G)
			if [ -z "$MY_UID" ] ; then
				GREP_0045 "ID_UID" "User uid is empty"
			else
				if [ -z "$MY_GROUPS" ] ; then
					GREP_0045 "ID_GROUPS" "User groups are empty"
				fi
			fi
		fi
	else
		GREP_0045 "ID_PATH" "Cannot find 'id' command on PATH. PATH=$PATH"
	fi
}



GREP_1104()
{
	"$GREP_0009" "export MY_UID=\"$MY_UID\""
	"$GREP_0009" "export MY_GROUPS=\"$MY_GROUPS\""
}





GREP_1105()
{
	if command -v whoami >/dev/null 2>/dev/null; then
		GREP_1045=$(command -v whoami)
		if "$GREP_1045" >/dev/null 2>/dev/null ; then
			GREP_1046=$("$GREP_1045")
			GREP_0043 "WHOAMI" "Effective user: $GREP_1046"
		else
			GREP_0045 "WHOAMI_EXECUTION" "Cannot execute $GREP_1045"
		fi
	else
		GREP_0045 "WHOAMI_PATH" "Cannot find 'whoami' command on PATH. PATH=$PATH"
	fi
}



GREP_1106()
{
	if command -v groups >/dev/null 2>/dev/null; then
		GREP_1047=$(command -v groups)
		if "$GREP_1047" >/dev/null 2>/dev/null ; then
			GREP_1048=$("$GREP_1047")
			GREP_0043 "GROUPS" "Effective groups: $GREP_1048"
		else
			GREP_0045 "GROUPS_EXECUTION" "Cannot execute $GREP_1047"
		fi
	else
		GREP_0045 "GROUPS_PATH" "Cannot find 'groups' command on PATH. PATH=$PATH"
	fi
}
