# import UtilDetectNiceLevel.sh



GREP_1084()
{
	NICE="$1"
}



GREP_1085()
{
	if [ -n "$NICE" ] ; then
		"$GREP_0009" "export NICE=\"$NICE\""
		GREP_1082
		GREP_1083
	else
		GREP_0044 NICE_UNAVAILABLE "The nice tool is not available. Until it is installed, you can only specify \"Standard\" execution priority"
	fi
}




GREP_1082()
{
	GREP_0558="nice '$NICE'"
	GREP_0559=""
	if "$NICE" --version 2>/dev/null >/dev/null ; then
		GREP_0559=$("$NICE" --version 2>&1 | "$GREP_0013" '{print $0;exit 0}' 2>/dev/null)
		GREP_0558="${GREP_0558}; version: '$GREP_0559'"
	fi
	GREP_0043 "NICE_MSG" "$GREP_0558"
}



GREP_1083()
{
	if GREP_1088 >/dev/null ; then
		NICE_LEVEL=$(GREP_1088)
		if [ -n "$NICE_LEVEL" ] ; then
			export NICE_LEVEL
			"$GREP_0009" "export NICE_LEVEL=$NICE_LEVEL"
			GREP_0043 "NICE_LEVEL_MSG" "Effective nice level: $NICE_LEVEL"
		else
			GREP_0044 NICE_LEVEL_UNAVAILABLE "The nice level could not be detected. You can only specify \"Standard\" execution priority"
		fi
	fi
}
