
# import DetectEssential.sh
# import DetectHpuxPathExtract.awk
# import DetectUser.sh
# import DetectPathBroadening.sh
# import DetectLocate.sh
# import DetectHome.sh
# import DetectSftp.sh

# import DetectToolGrep.sh
# import DetectToolAwk.sh
# import DetectToolSed.sh
# import DetectToolDD.sh
# import DetectToolHead.sh
# import DetectToolTail.sh
# import DetectToolPS.sh
# import DetectToolTar.sh
# import DetectToolArchive.sh
# import DetectToolSudo.sh
# import DetectToolNice.sh
# import DetectToolDate.sh

# import UtilLang.sh




detect()
{
	GREP_0009="echo"
	GREP_0819
	GREP_0054
	GREP_0056
	GREP_1102
	GREP_1094
	GREP_0064
	GREP_1066
	GREP_1085
}




GREP_0819()
{
	"$GREP_0009" "export LC_ALL=\"$LC_ALL\""
	"$GREP_0009" "export LANG=\"$LANG\""
	"$GREP_0009" "export LC_CTYPE=\"$LC_CTYPE\""
	"$GREP_0009" "export LC_MESSAGES=\"$LC_MESSAGES\""
	GREP_0175
}







GREP_0056()
{
	GREP_0018="Mac"
	GREP_0019="FreeBSD"
	GREP_0020="Solaris"
	GREP_0021="Linux"
	GREP_0022="AIX"
	GREP_0023="HP-UX"
	GREP_1100="Cygwin"
	GREP_0024="OS_IS_UNKNOWN"
	if command oslevel -r >/dev/null 2>/dev/null ; then
		GREP_0025=$GREP_0022
	elif [ -n "$GREP_0014" ] ; then
		if "$GREP_0014" | "$GREP_0012" -i darwin >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0018
		elif "$GREP_0014" | "$GREP_0012" -i freebsd >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0019
		elif "$GREP_0014" | "$GREP_0012" -i sunos >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0020
		elif "$GREP_0014" | "$GREP_0012" -i linux >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0021
		elif "$GREP_0014" | "$GREP_0012" -i aix >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0022
		elif "$GREP_0014" | "$GREP_0012" -i hp-ux >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_0023
			GREP_0055 2>/dev/null
		elif "$GREP_0014" | "$GREP_0012" -i cygwin >/dev/null 2>/dev/null ; then
			GREP_0025=$GREP_1100
		else
			GREP_0025=$GREP_0024
			GREP_0044 "DETECTOS_UNKNOWN_WITH_UNAME" "Cannot properly identify operating system. Uname output: $($GREP_0014 2>&1)"
		fi
	else
 		GREP_0025=$GREP_0024
		GREP_0044 "DETECTOS_UNKNOWN_NO_UNAME" "Cannot properly identify operating system without uname"
	fi
	$GREP_0009 "export GREP_0025=\"$GREP_0025\""
	GREP_0043 "OS_MSG" "Operating system: $GREP_0025"
}




GREP_0055()
{
	if [ -f /etc/profile ] && [ -r /etc/profile ]; then
		GREP_0016=$("$GREP_0013" "$DetectHpuxPathExtract_awk" /etc/profile)
		if [ $? -eq 0 ] ; then
			GREP_0017=$(eval "$GREP_0016" >/dev/null 2>/dev/null)
			if [ $? -eq 0 ] ; then
				eval "$GREP_0016"
			fi
		fi
	fi
}



GREP_0064()
{
	GREP_0057
	GREP_1111

		GREP_1108 		GREP_0393		gfgrep fgrep						; GREP_0394
		GREP_1108			GREP_0396 		ggrep  grep							; GREP_0397
		GREP_0060				GREP_0427			gawk   mawk   nawk  awk				; GREP_0428
		GREP_0060				GREP_0463			gsed   sed							; GREP_0464
		GREP_0060				GREP_0511			dd     gdd							; GREP_0512
		GREP_0060				GREP_0475			head   ghead						; GREP_0476
		GREP_0060				GREP_0104			tail   gtail						; GREP_0105
		GREP_1109			GREP_0289			ps     procps						; GREP_0290
		GREP_1109			GREP_0292		ps	   procps						; GREP_0293
		GREP_1109			GREP_1079		ps	   procps						; GREP_1080
		GREP_0060				GREP_0142			tar    gtar							; GREP_0143
		GREP_1110		GREP_0159			gzip   gunzip gzcat zcat			; GREP_0160
		GREP_1110		GREP_0161			gzip   gunzip gzcat zcat unzip		; GREP_0162
		GREP_1110		GREP_0163			bzip2  bzcat  bunzip				; GREP_0164
		GREP_0060				GREP_1058		    sudo 								; GREP_1059
		GREP_0060				GREP_1056		    su 									; GREP_1057
		GREP_0060				GREP_1084		    nice
		GREP_0060				GREP_1210		    date 								; GREP_1211

	GREP_1112
}


GREP_1108()
{
	GREP_0392
	GREP_0060 "$@"
}



GREP_1109()
{
	GREP_0288
	GREP_0060 "$@"
}



GREP_1110()
{
	GREP_0039="$1"
	shift; GREP_0040="$*"
	GREP_0540=""
	for GREP_0540 in $GREP_0040 ; do
		if GREP_0060 $GREP_0039 $GREP_0540 ; then
			break
		fi
	done
}



GREP_0042()
{
	GREP_0002="$1"
	"$GREP_0009" "SHDETECT_DEBUG = ${GREP_0002}"
}



GREP_0043()
{
	GREP_0003="$1"
	GREP_0004="$2"
	"$GREP_0009" "SHDETECT_INFO_${GREP_0003}=${GREP_0004}"
}



GREP_0044()
{
	GREP_0005="$1"
	GREP_0006="$2"
	"$GREP_0009" "SHDETECT_WARN_${GREP_0005}=${GREP_0006}"
}



GREP_0045()
{
	GREP_0007="$1"
	GREP_0008="$2"
	"$GREP_0009" "SHDETECT_ERROR_${GREP_0007}=${GREP_0008}"
}
